#!/bin/bash
set -e
cd `dirname $0`
export PIP_DOWNLOAD_CACHE=`pwd`/../../pip_cache
mkdir old
test -e lib && mv lib old/
test -e bin && mv bin old/

rm -rf p37

python3.7 -m venv p37
p37/bin/pip3 install -r ../../openmedialibrary/requirements-shared.txt

mkdir -p lib/python3.7
mv p37/lib/python3.7/site-packages lib/python3.7/site-packages
patch -p2 -R < large_pdf.patch

rm -r p37 old
